
Foreman - Bug #12799

Creating new compute resource fails with "Can't mass-assign protected attributes: uuid"

12/14/2015 06:46 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Compute resources - libvirt   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2973

  

Description

Create a new libvirt resource -> save -> get stack trace:

ActiveModel::MassAssignmentSecurity::Error in ComputeResourcesController#create

Can't mass-assign protected attributes: uuid

Rails.root: /home/tbrisker/foreman

Application Trace | Framework Trace | Full Trace

app/models/compute_resource.rb:73:in `new'

app/models/compute_resource.rb:73:in `block in new_provider'

app/models/compute_resource.rb:72:in `each'

app/models/compute_resource.rb:72:in `new_provider'

app/controllers/compute_resources_controller.rb:26:in `create'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Request

Parameters:

{"utf8"=>"✓",

 "authenticity_token"=>"vCzf6Yl1G6hDMqg4tOUU83IFZpf4WItyPaqRqq8V31I=",

 "compute_resource"=>{"name"=>"local",

 "description"=>"",

 "url"=>"qemu:///system",

 "display_type"=>"VNC",

 "set_console_password"=>"[FILTERED]",

 "uuid"=>"5ED58601-545B-11CB-83D8-BE9FEEB2C1AB",

 "location_ids"=>[""],

 "organization_ids"=>[""]},

 "commit"=>"Submit",

 "locale"=>nil}

Related issues:

Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014

Associated revisions

Revision 48526224 - 12/15/2015 07:35 AM - Tomer Brisker

Fixes #12799 - Add uuid to Compute Resource attr_accessible

History

#1 - 12/14/2015 06:47 AM - Dominic Cleal

- translation missing: en.field_release set to 71
#2 - 12/14/2015 07:01 AM - Tomer Brisker

- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#3 - 12/14/2015 07:07 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/2973 added

#4 - 12/15/2015 08:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 48526224bb9ab467e97141bd5c56b325b109fd99.
